ST_PixelAsPoint
Prev | 12.6. Raster Pixel Accessors and Setters | Next

## Name

ST_PixelAsPoint — Returns a point geometry of the pixel's upper-left corner.

## Synopsis

`geometry ST_PixelAsPoint(`raster rast, integer columnx, integer rowy`)`;

## Description

Returns a point geometry of the pixel's upper-left corner.

Availability: 2.1.0

## Examples

    SELECT ST_AsText(ST_PixelAsPoint(rast, 1, 1)) FROM dummy_rast WHERE rid = 1;

       st_astext
    ----------------
     POINT(0.5 0.5)

## See Also

ST_DumpAsPolygons, ST_PixelAsPolygon, ST_PixelAsPolygons, ST_PixelAsPoints, ST_PixelAsCentroid, ST_PixelAsCentroids

Prev | Up | Next
ST_PixelAsPolygons | Home | ST_PixelAsPoints